# Interface TypeValueContract

A contract type's value (see [[TypeValue]])

#### Category

Special container types (debugger-only)

#### Hierarchy

- TypeValueContract

- Defined in codec/lib/format/values.ts:405

#####
Index

### Properties

interpretations
kind
type
value

## Properties

### interpretations

interpretations: {}

#### Type declaration

- Defined in codec/lib/format/values.ts:412

### kind

kind: "value"

- Defined in codec/lib/format/values.ts:407

### type

type: TypeTypeContract

- Defined in codec/lib/format/values.ts:406

### value

value: NameValuePair[]

these must be stored in order!

- Defined in codec/lib/format/values.ts:411

Generated using TypeDoc